#ifndef _CLEVELSYSTEM_H_
#define _CLEVELSYSTEM_H_

#include "IListener.h"
#include "CEvent.h"

class CLevelSystem : public IListener
{
	CLevelSystem(void);
	~CLevelSystem(void);
public:
	static CLevelSystem* GetInstance(void)
	{
		static CLevelSystem m_Instance;
		return &m_Instance;
	}

	void HandleEvent(CEvent* pEvent);
	//
	//	Get the number of beat in the beat list via the NoteManager
	//		
	//
	//
	//
	//
	//
};

#endif